Subject: Bug#1481: Idling sessions freezing

From: Michael Fehér <[email-masked]>
Date: Fri, 26 Jun 2020 12:54:17 +0200

package: x2goserver

When I open a session and leave this client-window idling (on the
background client OS) the applications of the session doesn't reacting
anymore after about 5 minutes. As well as disconnecting from the server
and reconnecting again.
I have to shut down the session to get a reacting desktop.
As long as Iḿ using the x2go-desktop everything is working.

no error-messages

I'm expecting as it was on my old system (XUbuntu 16.04) to be able to
leave the sessions idling ans resume them much later.
Idling Client-connection
resume closed connection

1. Client machine: Windows 10 64bit

2. Client version 4.1.2.2

3. relevant settings: fixed screenresolution of 1024x768, XFce activates

4. Server OS: XUbuntu 20.04 64bit

5. version:   x2goserver: 4.1.0.3
                 x2goserver-common: 4.1.0.3
                 x2goserver-extensions: 4.1.0.3
                 x2goserver-fmbindings: 4.1.0.3
                 x2goserver-printing: 4.1.0.3
                 x2goserver-x2goagent: 3.5.99.23
                 x2goserver-xsession: 4.1.0.3

9. no changes in serverconfig applied